#if !defined(AFX_SUPERVISSETTINGSPAGE_H__FA1253D1_DE04_11D2_9F40_00104B6833D0__INCLUDED_)
#define AFX_SUPERVISSETTINGSPAGE_H__FA1253D1_DE04_11D2_9F40_00104B6833D0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SuperVisSettingsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSuperVisSettingsPage dialog

class CSuperVisSettingsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSuperVisSettingsPage)

// Construction
public:
	CSuperVisSettingsPage();
	~CSuperVisSettingsPage();

// Dialog Data
	//{{AFX_DATA(CSuperVisSettingsPage)
	enum { IDD = IDD_SUPERVIS_SETTINGS_PAGE };
	UINT	m_uiRefreshRate;
	BOOL	m_bSetWindowOnTop;
	CString	m_BinaryLCBPath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSuperVisSettingsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSuperVisSettingsPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnPlus();
	afx_msg void OnMoins();
	afx_msg void OnSetfocusRefreshRate();
	afx_msg void OnWindowOnTop();
	afx_msg void OnDestroy();
	afx_msg void OnBrowseForLcb();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SUPERVISSETTINGSPAGE_H__FA1253D1_DE04_11D2_9F40_00104B6833D0__INCLUDED_)
